Package org.drinkless.tdlib

# Class TdApi.CallStateReady

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.CallState
org.drinkless.tdlib.TdApi.CallStateReady

Enclosing class:
  TdApi

public static class TdApi.CallStateReady extends TdApi.CallState
The call is ready to use.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.CallState

  `TdApi.CallState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `allowP2p`
  True, if peer-to-peer connection is allowed by users privacy settings.
  `String`
  `config`
  A JSON-encoded call config.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `customParameters`
  Custom JSON-encoded call parameters to be passed to tgcalls.
  `String[]`
  `emojis`
  Encryption key fingerprint represented as 4 emoji.
  `byte[]`
  `encryptionKey`
  Call encryption key.
  `TdApi.CallProtocol`
  `protocol`
  Call protocols supported by the other call participant.
  `TdApi.CallServer[]`
  `servers`
  List of available call servers.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CallStateReady()`
  The call is ready to use.
  `CallStateReady(TdApi.CallProtocol protocol, TdApi.CallServer[] servers, String config, byte[] encryptionKey, String[] emojis, boolean allowP2p, String customParameters)`
  The call is ready to use.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### protocol

    public TdApi.CallProtocol protocol
    Call protocols supported by the other call participant.

  - ### servers

    public TdApi.CallServer[] servers
    List of available call servers.

  - ### config

    public String config
    A JSON-encoded call config.

  - ### encryptionKey

    public byte[] encryptionKey
    Call encryption key.

  - ### emojis

    public String[] emojis
    Encryption key fingerprint represented as 4 emoji.

  - ### allowP2p

    public boolean allowP2p
    True, if peer-to-peer connection is allowed by users privacy settings.

  - ### customParameters

    public String customParameters
    Custom JSON-encoded call parameters to be passed to tgcalls.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CallStateReady

    public CallStateReady()
    The call is ready to use.

  - ### CallStateReady

    public CallStateReady(TdApi.CallProtocol protocol, TdApi.CallServer[] servers, String config, byte[] encryptionKey, String[] emojis, boolean allowP2p, String customParameters)
    The call is ready to use.
    Parameters:
      `protocol` - Call protocols supported by the other call participant.
      `servers` - List of available call servers.
      `config` - A JSON-encoded call config.
      `encryptionKey` - Call encryption key.
      `emojis` - Encryption key fingerprint represented as 4 emoji.
      `allowP2p` - True, if peer-to-peer connection is allowed by users privacy settings.
      `customParameters` - Custom JSON-encoded call parameters to be passed to tgcalls.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.CallState`
    Returns:
      this.CONSTRUCTOR